# Generated for IBM Rational Systems Tester 3.3.0.6.23635 at Wed Dec 05 10:45:09 PM MET 2012
# Licensed Materials - Property of IBM 
#  Copyright IBM Corporation 2002,2012.  All Rights Reserved.
# 
# U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# Project TCL library file

proc IsAFolder {identObj} {
  expr ![string compare [Class $identObj] Folder]
}

proc IsAProject {identObj} {
  expr ![string compare [Class $identObj] Project]
}

proc IsEmpty {identObj} {
  expr ![string compare $identObj ""]
}

proc AddFolder {FolderName FileExtension ObjDest} { 
global project	
	set FolderId [Create $project Folder]
	if {[IsAFolder $ObjDest]} {
		AddRole $FolderId folder $ObjDest
	}

	if {[IsAProject $ObjDest]} {
		AddRole $ObjDest root $FolderId
	}
	SetAtt $FolderId name "$FolderName"
	SetAtt $FolderId extensions "$FileExtension"
return $FolderId
}


